//---------------------------------------------------------------------------

#ifndef EnvironmentSetting_FormH
#define EnvironmentSetting_FormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include "TntExtCtrls.hpp"
#include "TntStdCtrls.hpp"
#include "TntForms.hpp"
//---------------------------------------------------------------------------
class TEnvironmentSettingForm : public TTntForm
{
__published:	// IDE-managed Components
	TTntPanel *Panel1;
	TTntButton *CloseButton;
	TTntPanel *Panel2;
	TTntButton *DMURunButton;
    TTntButton *MachineEnvironmentSettupButton;
	TTntButton *CommControlButton;
	TTntButton *DSMButton;
	TTntButton *SystemInfoButton;
	TTntButton *ComputerSystemSettingButton;
	TTntButton *SystemMonitorButton;
	void __fastcall DMURunButtonClick(TObject *Sender);
    void __fastcall MachineEnvironmentSettupButtonClick(TObject *Sender);
	void __fastcall CommControlButtonClick(TObject *Sender);
	void __fastcall DSMButtonClick(TObject *Sender);
	void __fastcall SystemInfoButtonClick(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall ComputerSystemSettingButtonClick(TObject *Sender);
	void __fastcall SystemMonitorButtonClick(TObject *Sender);

private:	// User declarations
  void __fastcall GetDefaultString();
public:		// User declarations
	__fastcall TEnvironmentSettingForm(TComponent* Owner);
	  int ButtonSetLocation(TComponent *pComponent);
    void __fastcall OnUserChange(void);
    bool DMUExcute;
    bool bNeedLogOut;
};
//---------------------------------------------------------------------------
extern PACKAGE TEnvironmentSettingForm *EnvironmentSettingForm;
//---------------------------------------------------------------------------
#endif
